//DHT11 Sensor:
#include "DHT.h"
#define SensorPin 4    // connect the out pin of dht sensor to D4 pin of arduino nano     
#define Dht DHT11   

DHT dht(SensorPin, Dht);



#include <Wire.h> 
#include <LiquidCrystal_I2C.h>


LiquidCrystal_I2C lcd(0x3F, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE); //set I2C Address as 0x3F


void setup() {
  Serial.begin(9600);
  lcd.begin(16,2);
  Serial.println("Temperature and Humidity Inteface");

  dht.begin();
}

void loop() {
   
  int hum = dht.readHumidity();
  int temp = dht.readTemperature();

   
  lcd.setCursor(0, 0);
  

   lcd.print("Temp: ");
   lcd.print(temp);
   lcd.print("C");
  
 
  lcd.setCursor(0,1);
  lcd.print("Humidity: ");
  lcd.print(hum);
  lcd.print("%");
    
  Serial.print("\nCurrent Temperature: ");
  Serial.print(temp);
  Serial.print("C");
  Serial.print("\nCurrent Humidity: ");
  Serial.print(hum);
  Serial.print("%");
delay(2500);
}


